// gnome.xonotic.in.ua

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_34_1k
{
	qer_editorimage textures/base_light/ceil1_34.tga
	q3map_lightimage textures/base_light/ceil1_34.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_34.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_34.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_4
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_4.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_4.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light1_1500
{
	qer_editorimage textures/base_light/light1.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light5_10k
{
	qer_editorimage textures/base_light/light5.tga
	q3map_lightimage textures/base_light/xlight5.blend.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/s_proto_light
{
	q3map_lightimage textures/base_light/s_proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 0.5 1 .1
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 5 1 3
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		tcmod scale -1 -1
		rgbgen wave triangle 1 2 0 7
	}
}

textures/base_support/z_support
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/z_support.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_wall/comp3c
{
	{
		map textures/base_wall/comp3env.tga
		rgbgen identity
		tcgen environment
	}
	{
		map $lightmap
		tcgen environment
		blendfunc gl_one gl_one
	}
	{
		map textures/base_wall/comp3c.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}

}

textures/base_wall/glass01
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/build/clouda1
{
	qer_editorimage textures/build/clouda1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_sun 1 1 1 55 80 90
	q3map_surfacelight 50
        skyparms env/miramar - -
}

textures/build/exitsign
{
	qer_editorimage textures/build/exitsign.tga
	q3map_lightimage textures/build/lightred.tga
	q3map_surfacelight 20
	surfaceparm nomarks
	{
		map textures/build/exitsign.tga
		rgbgen identity
	}
}

textures/build/gratebroken
{
	cull disable
	qer_editorimage textures/build/gratebroken.tga
	{
		map textures/build/gratebroken.tga
		blendfunc blend
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
		tcgen lightmap
	}
}

textures/build/ladder
{
	cull disable
	qer_editorimage textures/build/ladder.tga
	{
		map textures/build/ladder.tga
		blendfunc blend
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
		tcgen lightmap
	}
}

textures/build/light01
{
	qer_editorimage textures/build/light01.tga
	q3map_surfacelight 2000
	{
		map textures/build/light01.tga
		rgbgen identity
	}
}

textures/build/metalfence
{
	cull none
	qer_editorimage textures/build/metalfence.tga
	{
		map textures/build/metalfence.tga
		blendfunc blend
		alphafunc gt0
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
		tcgen lightmap
	}
}

textures/build/rain
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	deformvertexes move 3 1 0 sin 0 5 0 0.2
	deformvertexes move .6 3.3 0 sin 0 5 0 0.4
	deformvertexes wave 30 sin 0 10 0 .2
	cull none
	{
		map textures/build/rain.tga
		tcmod scroll .5 -8
		tcmod turb .1 .25 0 -.1
		blendfunc gl_one gl_one
	}
	{
		map textures/build/rain.tga
		tcmod scroll .01 -6.3
		blendfunc gl_one gl_one
	}
}

textures/build/sewercover
{
	cull none
	qer_editorimage textures/build/sewercover.tga
	{
		map textures/build/sewercover.tga
		blendfunc blend
		alphafunc gt0
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
		tcgen lightmap
	}
}

textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/gothic_light/gothic_light2_lrg_500
{
	qer_editorimage textures/gothic_light/gothic_light2_lrg.tga
	q3map_surfacelight 500
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_lrg.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/sfx/beam_dusty2
{
	qer_editorimage textures/sfx/beam.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam_1.tga
		blendfunc add
	}
}

textures/sfx/rain
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	deformvertexes move 3 1 0 sin 0 5 0 0.2
	deformvertexes move .6 3.3 0 sin 0 5 0 0.4
	deformvertexes wave 30 sin 0 10 0 .2
	cull none
	{
		map textures/sfx/rain.tga
		tcmod scroll .5 -8
		tcmod turb .1 .25 0 -.1
		blendfunc gl_one gl_one
	}
	{
		map textures/sfx/rain.tga
		tcmod scroll .01 -6.3
		blendfunc gl_one gl_one
	}
}

textures/urban_terror2/fence
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/urban_terror2/fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror2/metal
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/urban_terror2/metal.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/urban_terror2/metal_bright
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/urban_terror2/metal_bright.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/urban_terror2/wood4a
{
	qer_editorimage textures/rabbit/wood_1.jpg
	{
		map textures/rabbit/wood_1.jpg
	}
}

textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/urban_terror3/nrg_vattenkran
{
	surfaceparm nonsolid
	qer_editorimage textures/urban_terror/concrete4
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/urban_terror/concrete4.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/urban_terror3/tv_nothingon
{
	q3map_lightimage textures/urban_terror/ceiling1.tga
	q3map_surfacelight 100
	{
		map textures/urban_terror/ceiling1.tga
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 3 3
	}
}

textures/urban_terror3/w2k_bush1
{
	qer_editorimage textures/urban_terror3/w2k_bush1.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/urban_terror3/w2k_bush1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror/black
{
	surfaceparm nolightmap
	surfaceparm noimpact
	{
		map textures/urban_terror/black.tga
	}
}

textures/urban_terror/corona
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/urban_terror/corona.tga
		blendfunc gl_one gl_one
	}
}

textures/urban_terror/ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}

